<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2007, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Setup</title>
	<link href="usr_layout.css" type="text/css" rel="stylesheet" /><script src="usr_layout.js" type="text/javascript"></script>
	<link href="usr_device.css" type="text/css" rel="stylesheet" /><script src="usr_device.js" type="text/javascript"></script><script src="usr_5454.js" type="text/javascript"></script><script src="usr_resources.js" type="text/javascript"></script>
<script type="text/javascript">
<!--
function initializePage()
{
	setVisibility('idSESyes', true);
	setVisibility('idSESno', false);

	onSecurityChange(false, 2);
	setVisibility('idEncryptNo', document.idForm.cbAuthEncrypt.value == 'none');
	setVisibility('idEncryptWPA', document.idForm.cbAuthEncrypt.value == 'wpa12');
}

function validatePage()
{
	if (document.idForm.wl_ssid.value == "")
			return alert("Please enter a Network Name.");
			
	if (!isPrintable('Network name', document.idForm.wl_ssid))
		return false;

	if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk))
		return false;
	
	if (!validateWPAkey())
		return false;	
	
	if (!validateWepKey())
		return false;

	set_encryption();
	return true;
}

function validateWepKey()
{	
	var cbAuthEncrypt = document.idForm.cbAuthEncrypt.options[document.idForm.cbAuthEncrypt.selectedIndex].value;
	
	if ((cbAuthEncrypt != "open") && (cbAuthEncrypt != "shared"))
		return true;
	
	if (isPrintable('Key', document.idForm.wl_key1)) {
			if (!validateKeyForType(document.idForm.wl_key1.value, 'cbWEPkeytype'))
				return false;
	}
	else 
		return false;
	
	return true;	
}

function validateWPAkey()
{	
	var cbAuthEncrypt = document.idForm.cbAuthEncrypt.options[document.idForm.cbAuthEncrypt.selectedIndex].value;
	
	var key = document.idForm.wl_wpa_psk.value;
	
	if (cbAuthEncrypt == "wpa12")
	{
		if (!validatePassphrase(document.idForm.wl_wpa_psk))
			 return false;
	}

	return true;
}
//-->
</script>
</head>

<body onload="initializePage();">

<script type="text/javascript">
	writeHeaderSetup(1, 2);
</script>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Securing Your Access Point</h1>
   <p>If the wireless network is not secured, anyone with a wireless
   client can connect to your network, use your Internet connection,
   and access your computers.
   </p>
   <p>With minimal effort, you can <strong>secure your access point</strong> to prevent
   unauthorized wireless devices from connecting to your network,
   using your Internet connection, or modifying your access point&rsquo;s configuration.
   </p>
   <p><b>SecureEasySetup</b> configures your wireless security method to <b>WPA2 and WPA (PSK)</b> 
   with <b>TKIP and AES</b> encryption.
   </p>
   <p>For <strong>additional security</strong>, you can allow only specific devices
   to connect to the access point (MAC filtering).
   These features and more (such as 802.1x) can be accessed on the
   access point&rsquo;s <strong>Security</strong> page after the setup is complete.</p>

</div>

<p>
	<input type="checkbox" name="chkSES" id="chkSES" checked onclick="toggleVisibility('idSESyes'); toggleVisibility('idSESno');"> <label for="chkSES">Set wireless security using SecureEasySetup</label>
</p>

<div id="idSESyes">
<form name="idForm1" action="apply.cgi" method="post">
	<input type="hidden" name="page" value="setup_sec.asp">
	<input type="hidden" name="action" value="SecureEasySetup">
<h2>SecureEasySetup</h2>

<p>You can secure your wireless network simply by pressing the <b>SecureEasySetup</b> button below. 
This will apply wireless security and automatically generate a network name and WPA (PSK) pass phrase for your wireless network.</p>

<p>Alternatively, you can configure your access point manually by clearing the check box above.</p>

<p><input type="image" value="SecureEasySetup" src="ses.gif" alt="SecureEasySetup" /></p>

</form>
</div>

<div id="idSESno">
<form name="idForm" action="setup_login.asp" method="post">
<input type="hidden" name="page" value="setup_sec.asp">
<input type="hidden" name="wl_unit" value="0">
<input type="hidden" name="wl_key" value="1">
<input type="hidden" name="cbEncryption" value="tkip+aes">

<h2>Network Name (SSID)</h2>

<p>This is the name of your wireless network. Wireless devices will need to know the
network name (also known as an SSID) of your access point in order to communicate with it.</p>

<p id="lblSSID"><label for="wl_ssid">Network name:</label>
	<input type="text" size="32" maxlength="32" id="wl_ssid" class="clsTextfield" name="wl_ssid" value="<% nvram_get("wl0_ssid"); %>" onchange="if (!isPrintable('Network name', document.idForm.wl_ssid)) return false;"></p>

<p>U.S.&nbsp;Robotics recommends that you change the <strong>network name</strong>
and treat it like a password. Use a combination of more than eight alphanumeric
characters that is not easy to guess (such as &ldquo;USR5454APOffice&rdquo;
or &ldquo;Fish81Tree&rdquo;).</p> 

<h2>Security</h2>

<p>U.S.&nbsp;Robotics recommends securing your access point from unauthorized
wireless devices by using WPA encryption.
If you have older wireless devices that don&rsquo;t support WPA,
you can select WEP.
If you want to use a different method later, you can change it on the
access point&rsquo;s <b>Security</b> page after the setup is complete.
</p>

<table border="0">
	<tr>
		<td id="lblMethod" valign="top"><label>Method:</label></td>
		<td>
			<select id="cbAuthEncrypt" name="cbAuthEncrypt" onchange="onSecurityChange(true, 2); setVisibility('idEncryptNo', document.idForm.cbAuthEncrypt.value == 'none'); setVisibility('idEncryptWPA', document.idForm.cbAuthEncrypt.value == 'wpa12'); bDirty = true;">
				<option value="wpa12" selected>WPA2 and WPA (PSK) (recommended)</option>
				<option value="open">WEP open</option>
				<option value="shared">WEP shared</option>
				<option value="none">None</option>
			</select>
		</td>
	</tr>
	<!-- WPA -->
	<tr id="idPassPhrase">
		<td valign="top"><label for="wl_wpa_psk">Pass&nbsp;phrase:</label></td>
			<!-- either 32 hex digits or ASCII that WPA hashes to a 256-bit key -->
		<td><input type="text" size="40" maxlength="63" id="wl_wpa_psk" class="clsTextfield" name="wl_wpa_psk" value="<% nvram_get("wl0_wpa_psk"); %>" onchange="if (!isPrintable('Pass phrase', document.idForm.wl_wpa_psk)) return false;"><br/>
			<span class="clsNote">(The pass phrase must be between eight and sixty-three characters long.)</span>
			</td>
	</tr>
	
	<!-- WEP -->
	<tr id="idWEPkeytype">
		<td><label>Key type:</label></td>
		<td>
			<select id="cbWEPkeytype" onchange="setMaxLength(true, 2); bDirty = true;">
				<option value="type128ASCII" selected>128-bit ASCII</option>
				<option value="type128hex">128-bit hex</option>
				<option value="type64ASCII">64-bit ASCII</option>
				<option value="type64hex">64-bit hex</option>
			</select>
		</td>
	</tr>

	<tr id="idKey1" valign="top">
		<td><label for="wl_key1">Key:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key1" class="clsTextfield" name="wl_key1" value="<% nvram_get("wl0_key1"); %>" onchange="if (!isPrintable('Key', document.idForm.wl_key1)) return false; validateKeyForType(document.idForm.wl_key1.value, 'cbWEPkeytype'); bDirty = true;"><br/>
			<span class="clsNote">(The key must be <span id="idKeyNumChars"></span>&nbsp;characters long.)</span>
		</td>
	</tr>
</table>

<div id="idEncryptWPA">
	<p>U.S.&nbsp;Robotics recommends that you treat your <b>WPA pass phrase</b> like
	a password and use a combination of alphanumeric characters that is not
	easy to guess (such as &ldquo;5Rock2Fish9Sand&rdquo; or &ldquo;20Dogs933Trot&rdquo;).</p>
</div>
<div id="idEncryptNo" style="display: none;" class="clsNotice">
	<p>Please note that you have disabled encryption on the access point and your
	wireless network will be insecure. Unauthorized wireless devices may be
	able to connect to your network, use your Internet connection, and access
	your computers.
	You can enable encryption later on the access point&rsquo;s <strong>Security</strong> page.</p>
</div>

<p class="clsSave">You will need to enter these values when you configure a wireless client.
After setup is complete, these values will be displayed on the
access point&rsquo;s <strong>Status</strong> and <strong>&ldquo;How to Add a New Client&rdquo; Tutorial</strong> pages,
and you can write them down or print them.
</p>

<p>When you&rsquo;re finished and ready to go to the next step, press <b>Next</b>.</p>

<p><input type="submit" name="action" value="Next -->" class="clsBtnSave" onclick="if (!validatePage()) return false;"></p>

</form>
</div>

<script type="text/javascript">
	writeFooter();
</script>

</body>
</html>
